new Vue({
  el: '#app',
  data: {
  	frequency_dict:recipe_frequency_dict,
  	unit_dict:measure_unit_dict,
  	DRUG_COMPLIANCE_CODE:'',
  	hasInsulin:[],//胰岛素药
		noInsulin:[]//其他药
  },
  mounted: function() {
  	var vm = this
  	var Request = GetRequest();
  	recordAPI.getFollowupProjectData({id:Request["id"],followupProject:6}).then(function(res){
			if(res.status==200){
				var data = res.data;
				vm.DRUG_COMPLIANCE_CODE = data.DRUG_COMPLIANCE_CODE;
			}
		})
  	recordAPI.getFollowupDrugs({id:Request["id"]}).then(function(res){
			if(res.status==200){
				var data = res.data.DRUG_LIST;
				if(data.length>0){
					for(var i=0;i<data.length;i++){
						if(data[i].drugsGroup == 'insulin'){//胰岛素药品
							vm.hasInsulin.push(data[i])
						}else{
							vm.noInsulin.push(data[i])
						}
					}
				}
			}else{
				toastr.error('获取数据失败')
			}
		})
  }
})